#-------------------------------------------------------------------------------
# Name:        Clean Stream Segments
# Purpose:     Set up input for Strahler Stream Order calculation
# Author:      GIS Modeling Class, Spring 2013
#              Barry Kronenfeld, Dian Nurhayati, Clayton Ballerine
#              Brian Howard, Justin Pinnell, Sanjiv Vajjala
# Created:     Spring 2013
# Copyright:   (c) Barry Kronenfeld 2013
# Licence:     GNU Publiic License
#-------------------------------------------------------------------------------

# Begin
print "Begin"

# import packages
import arcpy

# get inputs
##InputStreams= r'C:\Users\bjkronenfeld\Documents\Documents\Teaching\Classes\Current\GIS_Modeling\Python\Ex02\TestStreamNetworks.gdb\LowBifurcation'
##OutputStreams=r'C:\Users\bjkronenfeld\Documents\Documents\Teaching\Classes\Current\GIS_Modeling\Python\Ex02\Results.gdb\LowBifurcation_cleaned'

InputStreams=arcpy.GetParameterAsText(0)
OutputStreams=arcpy.GetParameterAsText(1)


# Run Feature to Line tool to clean lines, enforce intersections
print "Running feature-to-line tool..."
lineSegment=arcpy.FeatureToLine_management(InputStreams,OutputStreams)


# End
print "Finished cleaning stream segments."
